import logging

from pyrogram import filters
from pyrogram.types import Message

from classes.pyroclient import PyroClient

logger = logging.getLogger(__name__)


@PyroClient.on_message(filters.new_chat_members & filters.group & filters.me)  # type: ignore
async def handler_bot_join(app: PyroClient, message: Message):
    logger.info("Bot has joined the group %s")
    await app.find_group(message.chat.id)
